VST 3 Interfaces VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IKeyswitchController Class Referenceabstract
VST 3 Interfaces to be implemented by the Plug-in | VST 3 Interfaces defined in version 3.5.0

Extended Plug-in interface IEditController for key switches support. More...

`#include <ivstnoteexpression.h>`

Inheritance diagram for IKeyswitchController:

## Public Member Functions
virtual int32 | getKeyswitchCount (int32 busIndex, int16 channel)=0
| Returns number of supported key switches for event bus index and channel. More...
virtual tresult | getKeyswitchInfo (int32 busIndex, int16 channel, int32 keySwitchIndex, KeyswitchInfo &info)=0
| Returns key switch info. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extended Plug-in interface IEditController for key switches support.

- [plug imp]
- [extends IEditController]
- [released: 3.5.0]
- [optional]

When a (instrument) Plug-in supports such interface, the host could get from the Plug-in the current set of used key switches (megatrig/articulation) for a given channel of a event bus and then automatically use them (like in Cubase 6) to create VST Expression Map (allowing to associated symbol to a given articulation / key switch).

## Member Function Documentation

virtual int32 getKeyswitchCount | ( | int32 | busIndex,
|  | int16 | channel
| ) |  |
| pure virtual

Returns number of supported key switches for event bus index and channel.

virtual tresult getKeyswitchInfo | ( | int32 | busIndex,
|  | int16 | channel,
|  | int32 | keySwitchIndex,
|  | KeyswitchInfo & | info
| ) |  |
| pure virtual

Returns key switch info.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.